# CSharp to Flutter

## Quick start

Simply run the build script

```bash
./build.sh
```

## What is this?

This script:
- Run `dotnet publish` on the CoreRT managed library to get intermediate dlls
- Run `beyondnetgen` to generate the C header file and the *unmanaged* csharp code
- Run `dotnet publish` on the *unmanaged* csharp code for the target platforms.
- Copy the header file and the libs to the flutter project
- Run `ffigen` to generate the dart bindings against the header file
